Skip to main content
POST
/
customers
/
{id}
/
request
curl --request POST \
  --url https://business.bfinance.app/external/api/customers/{id}/request \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessType": "cards",
  "cardType": "603e12345e1234567890abcd"
}
'
{
  "status": "success",
  "data": {
    "accessType": "cards",
    "customerId": "65f...",
    "status": "requested"
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string
required

Customer ID

Body

application/json
accessType
enum<string>
required

Feature being requested.

Available options:
cards,
virtual-account
cardType
string

Required when accessType is cards — ID of the card type to request.

Response

Access request accepted for processing (initially requested).

status
string
Example:

"success"

data
object